%global pkg_name cgi

%global common_summary Haskell %{pkg_name} library

%global common_description A Haskell library for ghc for writing CGI programs.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.4.0.0
Version:        3001.1.7.4
Release:        11%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-extensible-exceptions-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-network-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-xhtml-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3001.1.7.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-10
- rebuild against newer network and xhtml for haskell-platform-2011.4.0.0

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3001.1.7.4-9.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 3001.1.7.4-9.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-9
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-8
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-7
- update to cabal2spec-0.23

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 3001.1.7.4-6
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-5
- rebuild for haskell-platform-2011.1 updates

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3001.1.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-2
- rebuild against network-2.3

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-1
- update to 3001.1.7.4
- update url and drop -o obsoletes
- add hscolour

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.3-1
- update to 3001.1.7.3 for haskell-platform-2010.2.0.0
- obsolete doc subpackage (ghc-rpm-macros-0.8.0)

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-4
- sync cabal2spec-0.22

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-3
- rebuild against ghc-6.12.2

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-2
- rebuild against network-2.2.1.7

* Tue Mar 23 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-1
- update to 3001.1.7.2 for haskell-platform-2010.1.0.0

* Wed Jan 13 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-4
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning
- buildrequires mtl, parsec, xhtml

* Mon Nov 16 2009 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-3
- use ghc_pkg_ver macro for network version

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-2
- buildrequire the new ghc-network library

* Mon Sep 14 2009 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-1
- initial packaging for Fedora created by cabal2spec
